Name:       perl-DateTime-Format-Flexible
Version:    0.09
Release:    1%{?dist}
# see LICENSE
License:    GPL+ or Artistic
Group:      Development/Libraries
Summary:    Flexibly parse strings and turn them into DateTime objects
Source:     http://search.cpan.org/CPAN/authors/id/T/TH/THINC/DateTime-Format-Flexible-%{version}.tar.gz
Url:        http://search.cpan.org/dist/DateTime-Format-Flexible
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::Builder) >= 0.74
BuildRequires: perl(Readonly) >= 0.06
BuildRequires: perl(Test::Simple) >= 0.44
BuildRequires: perl(Test::More)
BuildRequires: perl(File::Spec::Functions)
# optional tests...
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)


### auto-added brs!
BuildRequires:  perl(DateTime::TimeZone)

%description
If you have ever had to use a program that made you type in the date a
certain way and thought "Why can't the computer just figure out what date I
wanted?", this module is for you.

DateTime::Format::Flexible attempts to take any string you give it and
parse it into a DateTime object.

The test file tests 2500+ variations of date/time strings. If you can think
of any that I do not cover, please let me know.

%prep
%setup -q -n DateTime-Format-Flexible-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
TEST_POD=1 make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README Changes example/
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Mon Jun 08 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.09-1
- auto-update to 0.09 (by cpan-spec-update 0.01)

* Tue May 19 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.08-1
- auto-update to 0.08 (by cpan-spec-update 0.01)
- added a new br on perl(DateTime::TimeZone) (version 0)

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.05-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 07 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.05-1
- brush up for submission

* Sun Dec 07 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.05-0.1
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.6)
